# $Revision: 1.6 $, $Date: 2010/03/04 17:12:57 $
%define _name OpenJPEG
%define _ver    %(echo %{version} | tr . _)
Summary:	An open-source JPEG 2000 codec
Name:		openjpeg
Version:	1.3
Release:	2
Source0:	http://openjpeg.googlecode.com/files/%{name}_v%{_ver}.tar.gz
# Source0-md5:	f9a3ccfa91ac34b589e9bf7577ce8ff9
Patch0:		%{name}-install.patch
License:	BSD
Group:		Libraries
URL:		http://www.openjpeg.org/
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%package devel
Summary:	Development tools for programs using the OpenJPEG library
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This package contains the header files and libraries needed for
developing programs using the OpenJPEG library.

%prep
%setup -q -n %{_name}_v%{_ver}
%patch0 -p1

sed 's/$(CC) -s/$(CC) $(CFLAGS) $(LDFLAGS)/' -i Makefile
sed 's/-lstdc++/-lm/' -i Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -fPIC" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_LIBDIR=%{_libdir} \
	INSTALL_INCLUDE=%{_includedir}

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libopenjpeg.so.? libopenjpeg.so

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenjpeg-*.*.*.*.so
%attr(755,root,root) %ghost %{_libdir}/libopenjpeg.so.?

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}.h
%{_libdir}/libopenjpeg.a
%{_libdir}/libopenjpeg.so


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openjpeg.spec,v $
Revision 1.6  2010/03/04 17:12:57  pluto
- typo.

Revision 1.5  2010/03/04 12:21:24  arekm
- rel 2; link with math lib

Revision 1.4  2010/02/05 08:27:06  duddits
- rel. 1

Revision 1.3  2009/11/30 02:16:56  sparky
- pass %{__cc}
- don't link with -lstdc++, not needed

Revision 1.2  2009/10/12 21:09:14  sparky
- use rpmcflags and rpmldflags when linking
- fixed install

Revision 1.1  2009/10/12 20:11:47  evil
- initial release
